# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)


## v4.19.2
  - 7950eb316adf Linux 4.19.2
  - 589c375032fc MD: fix invalid stored role for a disk - try2
  - fcd90d7dea56 vga_switcheroo: Fix missing gpu_bound call at audio client registration
  - 34d961524967 bpf: wait for running BPF programs when updating map-in-map
  - 9a7a80fb02cc userns: also map extents in the reverse map to kernel IDs
  - 13794b24ef4e vt: fix broken display when running aptitude
  - ab5d01b6130a net: sched: Remove TCA_OPTIONS from policy
  - 0c286e9d164b Btrfs: fix use-after-free when dumping free space
  - 5b7a463003f5 Btrfs: fix use-after-free during inode eviction
  - 51c62a33574d btrfs: move the dio_sem higher up the callchain
  - dd4729566e10 btrfs: don't run delayed_iputs in commit
  - 186b52489a4f btrfs: fix insert_reserved error handling
  - 5a1e9bf45a3c btrfs: only free reserved extent if we didn't insert it
  - a746cfd00197 btrfs: don't use ctl->free_space for max_extent_size
  - 4a351e751731 btrfs: set max_extent_size properly
  - e982beca3e4e btrfs: reset max_extent_size properly
  - ea9c846f54db Btrfs: fix deadlock when writing out free space caches
  - e17af96eebd3 Btrfs: fix assertion on fsync of regular file when using no-holes feature
  - 85c5f244fd3c Btrfs: fix null pointer dereference on compressed write path error
  - 8181a8f849e4 btrfs: qgroup: Dirty all qgroups before rescan
  - d2c6df39f93e Btrfs: fix wrong dentries after fsync of file that got its parent replaced
  - 55f21e169c84 Btrfs: fix warning when replaying log after fsync of a tmpfile
  - 1d6d4a033967 btrfs: make sure we create all new block groups
  - 9aabbb2ecd05 btrfs: reset max_extent_size on clear in a bitmap
  - 9006ad16effe btrfs: protect space cache inode alloc with GFP_NOFS
  - 0de8cf3f9909 btrfs: release metadata before running delayed refs
  - 8f2ecee5a2a2 Btrfs: don't clean dirty pages during buffered writes
  - 2974abff6a83 btrfs: wait on caching when putting the bg cache
  - 0a7f6c7e973d btrfs: keep trim from interfering with transaction commits
  - 4d0dfd8fc833 btrfs: don't attempt to trim devices that don't support it
  - 76e59a628e01 btrfs: iterate all devices during trim, instead of fs_devices::alloc_list
  - d147f4dc8a52 btrfs: Ensure btrfs_trim_fs can trim the whole filesystem
  - c9ee71096aee btrfs: Enhance btrfs_trim_fs function to handle error better
  - 18bdce0e35c2 btrfs: fix error handling in btrfs_dev_replace_start
  - cdecd48a5546 btrfs: fix error handling in free_log_tree
  - d4f56c440d9e btrfs: locking: Add extra check in btrfs_init_new_buffer() to avoid deadlock
  - 4f2a4e02e2b1 btrfs: Handle owner mismatch gracefully when walking up tree
  - c25c6665f33b btrfs: qgroup: Avoid calling qgroup functions if qgroup is not enabled
  - 2b3171ec5ae0 tracing: Return -ENOENT if there is no target synthetic event
  - 1ebadf5ef7f5 selftests/powerpc: Fix ptrace tm failure
  - 2dc12479fbca selftests/ftrace: Fix synthetic event test to delete event correctly
  - b4087c2a3275 soc/tegra: pmc: Fix child-node lookup
  - 7f9a150f91b6 soc: qcom: rmtfs-mem: Validate that scm is available
  - 142261e7b908 arm64: dts: stratix10: Correct System Manager register size
  - 9a209614d42c ARM: dts: socfpga: Fix SDRAM node address for Arria10
  - 9d9da6fe1f01 Cramfs: fix abad comparison when wrap-arounds occur
  - 9632c0339b12 rpmsg: smd: fix memory leak on channel create
  - 64537fda9a6a arm64: lse: remove -fcall-used-x0 flag
  - 3f7987f818e8 media: hdmi.h: rename ADOBE_RGB to OPRGB and ADOBE_YCC to OPYCC
  - b1452c51f42a media: replace ADOBERGB by OPRGB
  - 29ba4b99ca18 media: media colorspaces*.rst: rename AdobeRGB to opRGB
  - 5501b81206ed drm/mediatek: fix OF sibling-node lookup
  - 6529dcce7920 media: adv7842: when the EDID is cleared, unconfigure CEC as well
  - 3e383b31b303 media: adv7604: when the EDID is cleared, unconfigure CEC as well
  - 9a79eb1233e2 media: em28xx: fix handler for vidioc_s_input()
  - 3e2e4d05b50b media: em28xx: make v4l2-compliance happier by starting sequence on zero
  - d861ec5dfe0c media: em28xx: fix input name for Terratec AV 350
  - 73dc88fa1c68 media: tvp5150: avoid going past array on v4l2_querymenu()
  - e015b5025361 media: em28xx: use a default format if TRY_FMT fails
  - 2781b86d7e45 media: cec: forgot to cancel delayed work
  - b68d405a2e6a media: cec: fix the Signal Free Time calculation
  - 94ec4487af9f media: cec: add new tx/rx status bits to detect aborts/timeouts
  - 587960d865b2 xen-blkfront: fix kernel panic with negotiate_mq error path
  - 1ebdc3d180c8 xen: remove size limit of privcmd-buf mapping interface
  - d54e8a7d974a xen: fix xen_qlock_wait()
  - 9130ced3952a media: cec: integrate cec_validate_phys_addr() in cec-api.c
  - c1a4102e43cd media: cec: make cec_get_edid_spa_location() an inline function
  - a91394b21ddf remoteproc: qcom: q6v5: Propagate EPROBE_DEFER
  - df7ada33d6dc kgdboc: Passing ekgdboc to command line causes panic
  - 43cdccfe10ca Revert "media: dvbsky: use just one mutex for serializing device R/W ops"
  - 04feb58d811b media: v4l2-tpg: fix kernel oops when enabling HFLIP and OSD
  - 90bedf4a7c76 net: bcmgenet: fix OF child-node lookup
  - b0b62843d003 TC: Set DMA masks for devices
  - 14dd2a14e8b7 iommu/arm-smmu: Ensure that page-table updates are visible before TLBI
  - 32396672cbc6 ocxl: Fix access to the AFU Descriptor Data
  - 168945fe47d1 power: supply: twl4030-charger: fix OF sibling-node lookup
  - 65635b7d4dd7 rtc: cmos: Remove the `use_acpi_alarm' module parameter for !ACPI
  - 65a060ca4bfc rtc: cmos: Fix non-ACPI undefined reference to `hpet_rtc_interrupt'
  - f3e5730821cf rtc: ds1307: fix ds1339 wakealarm support
  - 7d9f3a26ea8a MIPS: OCTEON: fix out of bounds array access on CN68XX
  - 66eb08aea007 powerpc/64s/hash: Do not use PPC_INVALIDATE_ERAT on CPUs before POWER9
  - e0f5f1c89c17 powerpc/tm: Fix HFSCR bit for no suspend case
  - 7607e1dad579 powerpc/msi: Fix compile error on mpc83xx
  - 5f489579ef91 powerpc64/module elfv1: Set opd addresses after module relocation
  - 778af261c53b fsnotify: Fix busy inodes during unmount
  - a94a2e3b5903 media: ov7670: make "xclk" clock optional
  - 8f882a6b0b93 dm zoned: fix various dmz_get_mblock() issues
  - fceb0d85246e dm zoned: fix metadata block ref counting
  - b42128078cfc dm ioctl: harden copy_params()'s copy_from_user() from malicious users
  - 86edf5629edc lockd: fix access beyond unterminated strings in prints
  - 18c1d28f359c nfsd: Fix an Oops in free_session()
  - b71f9663a7ba nfsd: correctly decrement odstate refcount in error path
  - d99bbbf1eedd nfs: Fix a missed page unlock after pg_doio()
  - 3a1c13e18297 NFSv4.1: Fix the r/wsize checking
  - d9e1cdc8b0ff NFC: nfcmrvl_uart: fix OF child-node lookup
  - c6d2e2023c2c tpm: fix response size validation in tpm_get_random()
  - e6d2f788cb71 genirq: Fix race on spurious interrupt detection
  - e945325eb75f printk: Fix panic caused by passing log_buf_len to command line
  - 93e2e8674548 smb3: on kerberos mount if server doesn't specify auth type use krb5
  - 108b981d48f1 smb3: do not attempt cifs operation in smb3 query info error path
  - eb7814c36f49 smb3: allow stats which track session and share reconnects to be reset
  - b8e2aea1d4ef w1: omap-hdq: fix missing bus unregister at removal
  - cf6ab9439838 iio: adc: at91: fix wrong channel number in triggered buffer mode
  - b7e95f41121d iio: adc: at91: fix acking DRDY irq on simple conversions
  - f809deba3e57 iio: adc: imx25-gcq: Fix leak of device_node in mx25_gcq_setup_cfgs()
  - 57629351f0a6 iio: ad5064: Fix regulator handling
  - 1e36467f654e kbuild: fix kernel/bounds.c 'W=1' warning
  - 59571785018d KVM: arm64: Fix caching of host MDCR_EL2 value
  - 3e286d39ccd7 KVM: arm/arm64: Ensure only THP is candidate for adjustment
  - daca89ecdb72 mm/hmm: fix race between hmm_mirror_unregister() and mmu_notifier callback
  - f968acd737c1 mm/rmap: map_pte() was not handling private ZONE_DEVICE page properly
  - fa5466d73cae hugetlbfs: dirty pages as they are added to pagecache
  - 8b259b99654c ima: open a new file instance if no read permissions
  - 13d3c98fa803 ima: fix showing large 'violations' or 'runtime_measurements_count'
  - d2e97f026b1b userfaultfd: disable irqs when taking the waitqueue lock
  - 30391e41deef mm: /proc/pid/smaps_rollup: fix NULL pointer deref in smaps_pte_range()
  - 3252b60cf810 crypto: speck - remove Speck
  - 4f1f95224687 crypto: aegis/generic - fix for big endian systems
  - 964f374b3ba7 crypto: morus/generic - fix for big endian systems
  - 0b5fdbbe5575 crypto: aesni - don't use GFP_ATOMIC allocation if the request doesn't cross a page in gcm
  - 94c7bb659856 crypto: tcrypt - fix ghash-generic speed test
  - c2ff394968b0 crypto: lrw - Fix out-of bounds access on counter overflow
  - 04eb71942e85 signal: Guard against negative signal numbers in copy_siginfo_from_user32
  - 392d51e0b5b8 signal/GenWQE: Fix sending of SIGKILL
  - 33d19d93cd12 PCI: Add Device IDs for Intel GPU "spurious interrupt" quirk
  - 1e37e70dfc0e PCI/ASPM: Fix link_state teardown on device removal
  - 6be746c4ef13 ARM: dts: dra7: Fix up unaligned access setting for PCIe EP
  - 51819131edab EDAC, skx_edac: Fix logical channel intermediate decoding
  - 5d1267c68169 EDAC, {i7core,sb,skx}_edac: Fix uncorrected error counting
  - 468d9f010f16 EDAC, amd64: Add Family 17h, models 10h-2fh support
  - b599ba1309c4 HID: hiddev: fix potential Spectre v1
  - 19785f4c18b7 HID: wacom: Work around HID descriptor bug in DTK-2451 and DTH-2452
  - f77c84673d8a selinux: fix mounting of cgroup2 under older policies
  - 15f255ec0f76 ext4: fix use-after-free race in ext4_remount()'s error path
  - ce1daaa84d87 ext4: propagate error from dquot_initialize() in EXT4_IOC_FSSETXATTR
  - 0d0413e92f44 ext4: fix setattr project check in fssetxattr ioctl
  - 99a3b2244727 ext4: initialize retries variable in ext4_da_write_inline_data_begin()
  - b2af09dd3743 ext4: fix EXT4_IOC_SWAP_BOOT
  - 8c448126af0e gfs2_meta: ->mount() can get NULL dev_name
  - 25881163ae1f jbd2: fix use after free in jbd2_log_do_checkpoint()
  - 3b0b2820a64f IB/rxe: Revise the ib_wr_opcode enum
  - b8a7fdb12127 IB/mlx5: Fix MR cache initialization
  - 8d564c8c60c5 ASoC: sta32x: set ->component pointer in private struct
  - 77a651186ed5 ASoC: intel: skylake: Add missing break in skl_tplg_get_token()
  - 6c1400b39151 libnvdimm, pmem: Fix badblocks population for 'raw' namespaces
  - 8f696986dbf2 libnvdimm, region: Fail badblocks listing for inactive regions
  - 4f1a55a4f990 libnvdimm: Hold reference on parent while scheduling async init
  - 7a338b87b931 scsi: target: Fix target_wait_for_sess_cmds breakage with active signals
  - fd594155e491 scsi: sched/wait: Add wait_event_lock_irq_timeout for TASK_UNINTERRUPTIBLE usage
  - 1ff435098faa dmaengine: ppc4xx: fix off-by-one build failure
  - 247a9fa4b418 net/ipv4: defensive cipso option parsing
  - 3fa272142465 iwlwifi: mvm: check return value of rs_rate_from_ucode_rate()
  - 77f61e7043bf mt76: mt76x2: fix multi-interface beacon configuration
  - 11abbcd397a4 usb: gadget: udc: renesas_usb3: Fix b-device mode for "workaround"
  - 512307dd4f09 usb: typec: tcpm: Fix APDO PPS order checking to be based on voltage
  - 08c7103daa0d usbip:vudc: BUG kmalloc-2048 (Not tainted): Poison overwritten
  - f253f6def4bc libertas: don't set URB_ZERO_PACKET on IN USB transfer
  - c43c81bef7d4 xen/pvh: don't try to unplug emulated devices
  - 82f76b056d01 xen/pvh: increase early stack size
  - 99d255861e28 xen: make xen_qlock_wait() nestable
  - 9dc8cf0df2cd xen: fix race in xen_qlock_wait()
  - a3e7530f44c0 xen/balloon: Support xend-based toolstack
  - f6a2cd180adb xen/blkfront: avoid NULL blkfront_info dereference on device removal
  - 4eab852bf259 tpm: Restore functionality to xen vtpm driver.
  - 73afce2ebf7e xen-swiotlb: use actually allocated size on check physical continuous
  - 086bdad87287 ARM: dts: exynos: Mark 1 GHz CPU OPP as suspend OPP on Exynos5250
  - 9526bcfdba7f ARM: dts: exynos: Convert exynos5250.dtsi to opp-v2 bindings
  - ed6fea0059e5 OPP: Free OPP table properly on performance state irregularities
  - 5cfb4a68693d f2fs: fix to account IO correctly
  - 56db43fd8c9f f2fs: fix to recover cold bit of inode block during POR
  - d224115ac122 f2fs: fix missing up_read
  - 4561194f4c4c Revert "f2fs: fix to clear PG_checked flag in set_page_dirty()"
  - 12b00f1e518c cpupower: Fix AMD Family 0x17 msr_pstate size
  - 60fa88f6713a ALSA: hda: Check the non-cached stream buffers more explicitly
  - 9dd0fafb5a7a IB/rxe: fix for duplicate request processing and ack psns
  - 71e124bd3990 dmaengine: dma-jz4780: Return error if not probed from DT
  - 128b1b38a6bf mfd: menelaus: Fix possible race condition and leak
  - cd295fddbe51 f2fs: fix to flush all dirty inodes recovered in readonly fs
  - cd0852081d74 signal: Always deliver the kernel's SIGKILL and SIGSTOP to a pid namespace init
  - cfc8a57a67fb f2fs: report error if quota off error during umount
  - 207093ca18c6 f2fs: avoid sleeping under spin_lock
  - f94fd45c75ee scsi: lpfc: Correct race with abort on completion path
  - 591e360bfb03 scsi: lpfc: Correct soft lockup when running mds diagnostics
  - c21099be0233 uio: ensure class is registered before devices
  - 3c1deb69a8e5 IB/mlx5: Allow transition of DCI QP to reset
  - 24d4d9a43f26 IB/ipoib: Use dev_port to expose network interface port numbers
  - 1da803c62bf6 firmware: coreboot: Unmap ioregion after device population
  - 16ae44a91f45 ASoC: AMD: Fix capture unstable in beginning for some runs
  - 84a840498893 driver/dma/ioat: Call del_timer_sync() without holding prep_lock
  - 7a478552b563 Smack: ptrace capability use fixes
  - eb4a3faebfd1 usb: chipidea: Prevent unbalanced IRQ disable
  - 451738900f88 crypto: caam - fix implicit casts in endianness helpers
  - 653f6e544e71 PCI: dwc: pci-dra7xx: Enable errata i870 for both EP and RC mode
  - 3fa9b782dfc4 coresight: etb10: Fix handling of perf mode
  - f17c17952280 PCI/MSI: Warn and return error if driver enables MSI/MSI-X twice
  - b1097eb9f0d4 f2fs: fix to recover inode's i_flags during POR
  - 5ce5de034a3c f2fs: fix to recover inode's crtime during POR
  - 4d50bad13891 scsi: qla2xxx: Fix recursive mailbox timeout
  - 974c4312604d xhci: Avoid USB autosuspend when resuming USB2 ports.
  - 1cddd3e45ec7 nvmem: check the return value of nvmem_add_cells()
  - f7087a371d71 PCI: cadence: Correct probe behaviour when failing to get PHY
  - 6596e997745c MD: fix invalid stored role for a disk
  - 3d267c56c75c ext4: fix argument checking in EXT4_IOC_MOVE_EXT
  - 80fd75d30e57 usb: gadget: udc: atmel: handle at91sam9rl PMC
  - 3d9fb06c4623 usb: dwc2: fix a race with external vbus supply
  - 44e130f97798 usb: dwc2: fix call to vbus supply exit routine, call it unlocked
  - 106d970ba5c8 irqchip/pdc: Setup all edge interrupts as rising edge at GIC
  - 5fac1c6ccc3c xprtrdma: Reset credit grant properly after a disconnect
  - 1997aecd1a24 PCI / ACPI: Enable wake automatically for power managed bridges
  - 894e62f5e5fb VMCI: Resource wildcard match fixed
  - 56628c1936ae Drivers: hv: vmbus: Use cpumask_var_t for on-stack cpu mask
  - a28549b8c14c f2fs: clear PageError on the read path
  - f4b5f4393bff tpm: suppress transmit cmd error logs when TPM 1.2 is disabled/deactivated
  - 18083411913d usb: typec: tcpm: Report back negotiated PPS voltage and current
  - 7c190bb8c9a1 PCI: cadence: Use AXI region 0 to signal interrupts from EP
  - 1a5908ddbea7 PCI: mediatek: Fix mtk_pcie_find_port() endpoint/port matching logic
  - 49c8a09eaa23 usb: host: ohci-at91: fix request of irq for optional gpio
  - 6a89b3a67a65 RDMA/bnxt_re: Fix recursive lock warning in debug kernel
  - 0b27b2b27995 RDMA/bnxt_re: Avoid accessing nq->bar_reg_iomem in failure case
  - ebd7595dcabf IB/ipoib: Clear IPCB before icmp_send
  - 9f7a37efdf32 RDMA/cm: Respect returned status of cm_init_av_by_path
  - bc280cf5299d RDMA/core: Do not expose unsupported counters
  - 51b6d8b00dff scsi: megaraid_sas: fix a missing-check bug
  - 3223e55786f6 KVM: nVMX: Clear reserved bits of #DB exit qualification
  - cd888e8a12a9 UAPI: ndctl: Fix g++-unsupported initialisation in headers
  - f2470959c101 scsi: ufs: Schedule clk gating work on correct queue
  - 1057c64748b6 scsi: esp_scsi: Track residual for PIO transfers
  - 1db5dec2dd69 of: Add missing exports of node name compare functions
  - b5e07d44b06b md: fix memleak for mempool
  - fbf975efbfbf MD: Memory leak when flush bio size is zero
  - 64c90d9c15e5 f2fs: fix to account IO correctly for cgroup writeback
  - 5151f4407da2 net: stmmac: dwmac-sun8i: fix OF child-node lookup
  - 48936133e367 cgroup, netclassid: add a preemption point to write_classid
  - c24f57c61277 cifs: fix a credits leak for compund commands
  - c016b6d3c945 thermal: da9062/61: Prevent hardware access during system suspend
  - 509859e49bdc thermal: rcar_thermal: Prevent doing work after unbind
  - aa3bbb8d780c libata: Apply NOLPM quirk for SAMSUNG MZ7TD256HAFV-000L9
  - 27baa32c5eb5 ath10k: schedule hardware restart if WMI command times out
  - b83452446e07 wil6210: fix RX buffers release and unmap
  - ef172c741586 ixgbevf: VF2VF TCP RSS
  - d0530284ddd7 ixgbe: disallow IPsec Tx offload when in SR-IOV mode
  - 545a030314a1 gpio: brcmstb: allow 0 width GPIO banks
  - 8ba36c16bcc2 iwlwifi: mvm: fix BAR seq ctrl reporting
  - 44e0f15b31d2 libertas_tf: prevent underflow in process_cmdrequest()
  - 14e0b9bba974 rsi: fix memory alignment issue in ARM32 platforms
  - 3041b096a3a4 mt76x2u: run device cleanup routine if resume fails
  - 6436e7900c16 net: dsa: mv88e6xxx: Fix writing to a PHY page.
  - 6797a427f853 net: hns3: Fix for vf vlan delete failed problem
  - 0e80397c864a net: hns3: Fix ping exited problem when doing lp selftest
  - 35aafd40b173 net: hns3: Preserve vlan 0 in hardware table
  - e6ae1e7b0fea pinctrl: ssbi-gpio: Fix pm8xxx_pin_config_get() to be compliant
  - a87aba152565 pinctrl: spmi-mpp: Fix pmic_mpp_config_get() to be compliant
  - e7af99165ba2 perf tests: Fix record+probe_libc_inet_pton.sh without ping's debuginfo
  - f60d53ef5755 failover: Add missing check to validate 'slave_dev' in net_failover_slave_unregister
  - e12da4273c6b bpf/verifier: fix verifier instability
  - 9906a9300d57 pinctrl: qcom: spmi-mpp: Fix drive strength setting
  - fe68a585e9d9 ACPI / LPSS: Add alternative ACPI HIDs for Cherry Trail DMA controllers
  - 74e8d28794bf spi: gpio: No MISO does not imply no RX
  - 82b0f70fd30f kprobes: Return error if we fail to reuse kprobe instead of BUG_ON()
  - 313c940d1507 arm64: entry: Allow handling of undefined instructions from EL1
  - 668c01c11b70 block, bfq: correctly charge and reset entity service in all cases
  - 15b08daa2111 net: phy: phylink: ensure the carrier is off when starting phylink
  - f9573e11a9d6 net: hns3: Set STATE_DOWN bit of hdev state when stopping net
  - e937c14f84cb net: hns3: Check hdev state when getting link status
  - 2234cb983817 brcmfmac: fix for proper support of 160MHz bandwidth
  - 1a744358fd4b pinctrl: qcom: spmi-mpp: Fix err handling of pmic_mpp_set_mux
  - d2a76333ce31 pinctrl: sunxi: fix 'pctrl->functions' allocation in sunxi_pinctrl_build_state
  - 918d81fd9bfd net: hns3: Fix ets validate issue
  - 118f36c16c4f net: hns3: Add nic state check before calling netif_tx_wake_queue
  - 0e79c6b664a7 x86: boot: Fix EFI stub alignment
  - 147de8c2ee38 efi/x86: Call efi_parse_options() from efi_main()
  - ea3207da0bd6 Bluetooth: hci_qca: Remove hdev dereference in qca_close().
  - 7fb380e23c1b Bluetooth: btbcm: Add entry for BCM4335C0 UART bluetooth
  - 8f6bfa4c99f1 net: hns3: Fix for packet buffer setting bug
  - e5014ac93db1 ice: update fw version check logic
  - 8863fed18fee ice: fix changing of ring descriptor size (ethtool -G)
  - 5445a4b0fff2 signal: Introduce COMPAT_SIGMINSTKSZ for use in compat_sys_sigaltstack
  - aea35bd40d64 ath10k: fix tx status flag setting for management frames
  - 4b445d47897d nvme: call nvme_complete_rq when nvmf_check_ready fails for mpath I/O
  - dbf134f69dc5 mtd: rawnand: atmel: Fix potential NULL pointer dereference
  - ed8aa1c1f8c0 x86/intel_rdt: Show missing resctrl mount options
  - 6d8553dcd9d1 cpufreq: dt: Try freeing static OPPs only if we have added them
  - 7b7706258e00 ACPI / processor: Fix the return value of acpi_processor_ids_walk()
  - ec25ba44807b ACPI / PM: LPIT: Register sysfs attributes based on FADT
  - 0deec5961020 ACPI/PPTT: Handle architecturally unknown cache types
  - a0a9e3062a0f wlcore: Fix BUG with clear completion on timeout
  - 53785c4db61f x86/olpc: Indicate that legacy PC XO-1 platform should not register RTC
  - a2abae525e2d iwlwifi: mvm: check for n_profiles validity in EWRD ACPI
  - b325d5508a90 iwlwifi: mvm: clear HW_RESTART_REQUESTED when stopping the interface
  - 0ba5fac20555 iwlwifi: pcie: avoid empty free RB queue
  - 9cc1cbc1c6ff mtd: rawnand: denali: set SPARE_AREA_SKIP_BYTES register to 8 if unset
  - cf6e9d033d95 sdhci: acpi: add free_slot callback
  - 3625a5515a84 mmc: sdhci-pci-o2micro: Add quirk for O2 Micro dev 0x8620 rev 0x01
  - 79b8a3dd423b bcache: Populate writeback_rate_minimum attribute
  - 47f03c780e12 cpupower: Fix coredump on VMWare
  - ce081fc137c8 perf strbuf: Match va_{add,copy} with va_end
  - 9aa0d85d5d8a perf tools: Free 'printk' string in parse_ftrace_printk()
  - b2ad2430bd75 perf tools: Cleanup trace-event-info 'tdata' leak
  - 8e4b824648db perf tools: Free temporary 'sys' string in read_event_files()
  - c2128082a94e spi: spi-ep93xx: Use dma_data_direction for ep93xx_spi_dma_{finish,prepare}
  - 013b559adfc0 lightnvm: pblk: fix race condition on metadata I/O
  - 3c5b1d33fc90 lightnvm: pblk: fix two sleep-in-atomic-context bugs
  - bd206a06a712 lightnvm: pblk: fix race on sysfs line state
  - 5764ffc8a643 hwmon: (pwm-fan) Set fan speed to 0 on suspend
  - bb1d8085e244 s390/sthyi: Fix machine name validity indication
  - 45d66e3d98ea tun: Consistently configure generic netdev params via rtnetlink
  - 2951868e6d65 nfp: devlink port split support for 1x100G CXP NIC
  - 3d7d10b9af53 hv_netvsc: fix vf serial matching with pci slot info
  - b85000e84c56 arm64: cpufeature: ctr: Fix cpu capability check for late CPUs
  - 2ee36fb7c3a6 swim: fix cleanup on setup error
  - 8e00f4525729 ataflop: fix error handling during setup
  - 703acc3265c3 netfilter: xt_nat: fix DNAT target for shifted portmap ranges
  - 117d5fbddd39 locking/lockdep: Fix debug_locks off performance problem
  - 3fdf483bcf76 net: loopback: clear skb->tstamp before netif_rx()
  - cf5819b28828 net: socionext: Reset tx queue in ndo_stop
  - 3f8141b14299 ARM: dts: exynos: Disable pull control for MAX8997 interrupts on Origen
  - d9f91499b0fe x86/numa_emulation: Fix uniform-split numa emulation
  - e36453b681a9 x86/mm/pat: Disable preemption around __flush_tlb_all()
  - 97dc505190ed x86/kvm/nVMX: allow bare VMXON state migration
  - 967afd9a7484 x86/corruption-check: Fix panic in memory_corruption_check() when boot option without value is provided
  - 9f775ed20028 x86/xen: Fix boot loader version reported for PVH guests
  - 233b9d7df0e1 x86/speculation: Enable cross-hyperthread spectre v2 STIBP mitigation
  - 1e3430e27c87 ALSA: hda - Fix incorrect clearance of thinkpad_acpi hooks
  - e3a6b6ed37b9 ALSA: ca0106: Disable IZD on SB0570 DAC to fix audio pops
  - 3e10f0f16c01 ALSA: hda: Add 2 more models to the power_save blacklist
  - e989f4b3eb3c ALSA: hda - Add mic quirk for the Lenovo G50-30 (17aa:3905)
  - 7ea3c7638821 ALSA: hda/realtek - Fix the problem of the front MIC on the Lenovo M715
  - 4306ad59a04f ALSA: hda - Fix headphone pin config for ASUS G751
  - 096cd55d7878 ALSA: hda - Add quirk for ASUS G751 laptop
  - e41a6afda639 parisc: Fix exported address of os_hpmc handler
  - 72f6b9c076c9 parisc: Fix map_pages() to not overwrite existing pte entries
  - dcfc49721c9a parisc: Fix address in HPMC IVA
  - 316f31f13f3c mailbox: PCC: handle parse error
  - 8e071518d17a ipmi: Fix timer race with module unload
  - b7e4138cae4b kprobes/x86: Use preempt_enable() in optimized_callback()
  - 96f81d518d1a acpi, nfit: Fix Address Range Scrub completion tracking
  - 8badf7c32810 ACPICA: AML Parser: fix parse loop to correctly skip erroneous extended opcodes
  - 22083c028d0b ACPICA: AML interpreter: add region addresses in global list during initialization
  - a3b026a380b7 ACPI / OSL: Use 'jiffies' as the time bassis for acpi_os_get_timer()
  - e792b324366a pcmcia: Implement CLKRUN protocol disabling for Ricoh bridges
  - 953983cbbf05 dma-mapping: fix panic caused by passing empty cma command line argument
  - 2037da5ce0a1 cpufreq: conservative: Take limits changes into account properly
  - 1ea5c403dd41 block: make sure writesame bio is aligned with logical block size
  - 14657efd3ad9 block: make sure discard bio is aligned with logical block size
  - cf8d0973c211 block: setup bounce bio_sets properly
  - f5f578eb2392 jffs2: free jffs2_sb_info through jffs2_kill_sb()
  - 43cba96d9505 hwmon: (pmbus) Fix page count auto-detection.
  - e52ad8e0ef53 bcache: fix miss key refill->end in writeback
  - 9e9f19efcb1c bcache: correct dirty data statistics
  - 32870e2bb600 bcache: fix ioctl in flash device
  - fec039ec69c8 bcache: trace missed reading by cache_missed
  - 95e124ad80c1 spi: bcm-qspi: fix calculation of address length
  - 97baa6b21b29 spi: bcm-qspi: switch back to reading flash using smaller chunks
  - 9251a21bb4f7 spi: spi-mem: Adjust op len based on message/transfer size limitations
  - 24177fabfef0 mtd: spi-nor: fsl-quadspi: Don't let -EINVAL on the bus
  - 55f15a247dab mtd: spi-nor: intel-spi: Add support for Intel Ice Lake SPI serial flash
  - e40d8067fe8e mtd: spi-nor: fsl-quadspi: fix read error for flash size larger than 16MB
  - 53772af08acd mtd: maps: gpio-addr-flash: Fix ioremapped size
  - 673713733117 mtd: rawnand: marvell: fix the IRQ handler complete() condition
  - d037b0394fb4 gpio: mxs: Get rid of external API call
  - 085d695911be MIPS: VDSO: Reduce VDSO_RANDOMIZE_SIZE to 64MB for 64bit
  - d93080cdba60 bpf: fix partial copy of map_ptr when dst is scalar
